hadoop-mapreduce-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Harsh J <ha...@cloudera.com>
Subject Re: Hbase compatible for Hadoop Yarn
Date Tue, 07 Feb 2012 16:30:46 GMT
Hi,

Moving this to hbase user lists (bcc'd mapreduce-user). Please use the
right lists for your questions.

Have you tried following the last paragraph at the recommendations in
http://hbase.apache.org/book.html#hadoop? That is probably your
solution.

On Tue, Feb 7, 2012 at 8:22 PM, raghavendhra rahul
<raghavendhrarahul@gmail.com> wrote:
> I tried installing hbase on top of hadoop 0.23.I get the following error.Any
> suggestion
> client1: Exception in thread "main" org.apache.hadoop.ipc.
> RemoteException: Server IPC version 5 cannot communicate with client version
> 3
> client1:     at org.apache.hadoop.ipc.Client.call(Client.java:740)
> client1:     at org.apache.hadoop.ipc.RPC$Invoker.invoke(RPC.java:220)
> client1:     at $Proxy5.getProtocolVersion(Unknown Source)
> client1:     at org.apache.hadoop.ipc.RPC.getProxy(RPC.java:359)
> client1:     at
> org.apache.hadoop.hdfs.DFSClient.createRPCNamenode(DFSClient.java:106)
> client1:     at org.apache.hadoop.hdfs.DFSClient.<init>(DFSClient.java:207)
> client1:     at org.apache.hadoop.hdfs.DFSClient.<init>(DFSClient.java:170)
> client1:     at
> org.apache.hadoop.hdfs.DistributedFileSystem.initialize(DistributedFileSystem.java:82)
> client1:     at
> org.apache.hadoop.fs.FileSystem.createFileSystem(FileSystem.java:1378)
>
>
> On Tue, Feb 7, 2012 at 6:26 PM, Harsh J <harsh@cloudera.com> wrote:
>>
>> HBase isn't an MR-dependent application, if you mean to ask that.
>>
>> If your question is generally "What version of HBase can I use with
>> 0.23", then 0.92 and 0.90 would both work against 0.23's HDFS, as
>> HBase is merely a HDFS client.
>>
>> Qs:
>> - Are you facing issues using HBase with 0.23?
>> - Which component throws up the issue? MR libs of HBase or the daemons
>> itself?
>> - Are you instead looking for
>> https://issues.apache.org/jira/browse/HBASE-4329?
>>
>> On Tue, Feb 7, 2012 at 9:54 AM, raghavendhra rahul
>> <raghavendhrarahul@gmail.com> wrote:
>> > Hi,
>> >          What is the suitable version of hbase that can be tested with
>> > hadoop yarn.
>>
>>
>>
>> --
>> Harsh J
>> Customer Ops. Engineer
>> Cloudera | http://tiny.cloudera.com/about
>
>



-- 
Harsh J
Customer Ops. Engineer
Cloudera | http://tiny.cloudera.com/about

Mime
View raw message